//priority: 1

ServerEvents.tags("item", (event) => {
	function addDustTag(tag, tagCorrect) {
		tagCorrect = tagCorrect ? tagCorrect : tag
		event.add(F("dusts"), MT(`powdered_${tag}`));
		event.add(F(`dusts/${tagCorrect}`), MT(`powdered_${tag}`));
	}
	
	addDustTag("diamond");
	addDustTag("emerald");
	addDustTag("ender", "ender_pearl");
	addDustTag("eye", "ender_eye");
	addDustTag("gold");
	addDustTag("iron");
	addDustTag("quartz");
});
